gnode_s Struct Reference

A node in a generic list. More...

`#include <glist.h>`

## Data Fields

anytype_t | data
struct gnode_s * | next
| See prim_type.h.

## Detailed Description

A node in a generic list.

Definition at line 100 of file glist.h.

## Field Documentation

## data

anytype_t gnode_s::data

Definition at line 101 of file glist.h.

## next

struct gnode_s* gnode_s::next

See prim_type.h.

Definition at line 102 of file glist.h.

Referenced by glist_add_float32(), glist_add_float64(), glist_add_int32(), glist_add_ptr(), glist_add_uint32(), glist_count(), glist_free(), glist_insert_float32(), glist_insert_float64(), glist_insert_int32(), glist_insert_ptr(), glist_insert_uint32(), glist_reverse(), glist_tail(), and gnode_free().

The documentation for this struct was generated from the following file:

- include/sphinxbase/glist.h